#!/bin/sh
#

EXT=apr
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

for a in compiletc bash squashfs-tools
	do tce-load -i $a
done

make clean
#srclib/apr/configure --enable-threads --enable-posix-shm
./configure \
	--enable-threads \
	--enable-posix-shm \
	|| exit

make || exit

if [ $(grep -q '^install-strip:' Makefile) ]; then
	make install-strip DESTDIR=$TCZ-dev
else
	make install DESTDIR=$TCZ-dev
	for a in $(find $TCZ-dev -type f); do file -b $a | grep -q '^ELF .*not stripped$' && strip $a; done
fi

mkdir -p $TCZ/usr/local/apr/lib

mv $TCZ-dev/usr/local/apr/lib/*.so* $TCZ/usr/local/apr/lib

sudo chown -R root.root $TCZ*

mksquashfs $TCZ/ /tmp/$EXT/$EXT.tcz -noappend
mksquashfs $TCZ-dev /tmp/$EXT/$EXT-dev.tcz -noappend
